Bug 799519 - ERROR with rpm_check_debug vs depsolve
ERROR with rpm_check_debug vs depsolve
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: yum (Show other bugs)
5.9
x86_64 Linux
unspecified Severity urgent
: rc
: ---
Assigned To: James Antill
BaseOS QE Security Team
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-02 15:52 EST by Saurabh Mishra
Modified: 2014-01-21 01:24 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-03-05 16:07:57 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Saurabh Mishra 2012-03-02 15:52:46 EST
Description of problem:
Installation of RPM packages for hadoop-0.20-0.20.2+923.195-1.noarch 
Faced an error saying below:
ERROR with rpm_check_debug vs depsolve: 
rpmlib(FileDigests) is needed by hadoop-0.20-0.20.2+923.195-1.noarch 
rpmlib(PayloadIsXz) is needed by hadoop-0.20-0.20.2+923.195-1.noarch 
Version-Release number of selected component (if applicable):


How reproducible:
Reexecution of installation using cloudera manager for hadoop.

 
Actual results:
Failure

Expected results:
Success

Additional info:
Comment 1 James Antill 2012-03-05 16:44:10 EST
rpmlib(FileDigests) is needed by hadoop-0.20-0.20.2+923.195-1.noarch 
rpmlib(PayloadIsXz) is needed by hadoop-0.20-0.20.2+923.195-1.noarch 

 These mean that the packages you are tryign to install are for a newer version of rpm than the one you have ... which almost certainly means that you are trying to install the wrong packages for your OS.

 You want to find a version of hadoop that is built for RHEL-5.
Comment 2 Saurabh Mishra 2012-03-05 19:53:50 EST
We had created a local yum repository using tomcat and webserver , it has right version of cloudera hadoop i.e. http://archive.cloudera.com/redhat/cdh/3/

which is described in 

https://ccp.cloudera.com/display/CDHDOC/CDH3+Installation#CDH3Installation-InstallingCDH3OnRedHatcompatiblesystems

i.e. http://archive.cloudera.com/redhat/cdh/cloudera-cdh3.repo

Can we upgrade RPM in our linux machines?

Linux - 2.6.18-194.11.4.el5 #1 x86_64 GNU/Linux

RPM version 4.4.2.3

Please let me know asap. Thank You

Regards
Saurabh

Note You need to log in before you can comment on or make changes to this bug.